# Disabled debuginfo package as the autogenerated 'debugfiles.list' file is empty.
# In other words there were no debug symbols to package.
%global debug_package %{nil}
Summary:        A tool for configuring certain Intel baseband devices
Name:           intel-pf-bb-config
Version:        23.11
Release:        1%{?dist}
License:        ASL 2.0
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
Group:          System/Tools
URL:            https://github.com/intel/pf-bb-config
Source0:        https://github.com/intel/pf-bb-config/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make

%description
This application provides a means to configure certain Intel baseband devices by
accessing their configuration space and setting parameters via MMIO.

%prep
%autosetup -n pf-bb-config-%{version}

%build
# These instructions are taken from ./build.sh in the source code. The sed
# in particular replaces
#
#     VERSION_STRING=`git describe --tags --long`
#     echo ${VERSION_STRING}
#     sed -i "s/#VERSION_STRING#/${VERSION_STRING}/g" config_app.c
#
# from that script. The script itself cannot be run because it needs to be
# run from with the git repository of the project at a particular release
# commit, but we are not in a git repsitory when building from a source
# tarball.
sed -i "s/#VERSION_STRING#/v%{version}-0-gf9206ad/g" config_app.c
make

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 pf_bb_config %{buildroot}%{_bindir}/pf_bb_config

%ldconfig_scriptlets

%files

%license LICENSE

%{_bindir}/pf_bb_config

%changelog
* Fri Feb 09 2024 Vince Perri <viperri@microsoft.com> - 23.11-1
- Upgrade to 23.11

* Wed Jul 06 2022 Sriram Nambakam <snambakam@microsoft.com> - 22.03-1
- Upgrade to 22.03

* Thu Feb 17 2022 Vince Perri <viperri@microsoft.com> - 21.11-1
- Original version for CBL-Mariner.
- License verified
